#ifndef WIMADATACONTAINER_H
#define WIMADATACONTAINER_H

#include <QObject>

#include "QmlObjectListModel.h"

#include "WimaArea.h"

class WimaDataContainer : public QObject
{
    Q_OBJECT
public:
    explicit WimaDataContainer(QObject *parent = nullptr);

    QmlObjectListModel*         visualItems (void) { return &_visualItems; } //use setVisualItems to modify list
    WimaArea                    joinedArea  (void) { return _joinedArea; }

    void setJoinedArea(const WimaArea& joinedArea);
    void setVisualItems(const QmlObjectListModel& list);

signals:
    void joinedAreaChanged();
    void visualItemsChanged();

public slots:

private:
    QmlObjectListModel _visualItems;
    WimaArea           _joinedArea;
};

#endif // WIMADATACONTAINER_H
